package com.huatek.busi.service.gis;

import com.huatek.busi.dto.GisSf6ThresholdDto;
import com.huatek.busi.vo.GisSf6ThresholdVo;

/**
 * GIS SF6阈值
 * @author buck_guo
 * @date 2019/08/08
 */
public interface GisSF6ThresholdService {
   /**
    * 根据sensor编码查询SF6
    * @param sensorCode
    * @return
    */
    GisSf6ThresholdVo queryGisSF6Threshold(String sensorCode);

    /**
     * 新增或更新
     * @param gisSf6ThresholdDto
     * @return
     */
    int insertOrUpdate(String token,GisSf6ThresholdDto gisSf6ThresholdDto);

    /**
     * 编辑GIS sensor阈值
     */
    int updateGisSensorThresholdBySensorCode(String oldSensorCode, String newSensorCode);

    /**
     * 删除GIS sensor阈值
     */
    int deleteGisThresholdBySensorCode(String sensorCode);

}
